Bug 1279740 - improve thread usage in VDSM requests
improve thread usage in VDSM requests
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.17.10
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.1
: 4.17.11
Assigned To: Piotr Kliczewski
Jiri Belka
infra
: CodeChange
Depends On:
Blocks: 1269424
  Show dependency treegraph
 
Reported: 2015-11-10 02:50 EST by Oved Ourfali
Modified: 2016-02-10 14:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:24:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48287 ovirt-3.6 MERGED scheduler: use single instance Never
oVirt gerrit 48293 ovirt-3.6 MERGED jsonrpc: executor based thread factory Never

  None (edit)
Description Oved Ourfali 2015-11-10 02:50:51 EST
Creating new thread for every request is not efficient.
We need to introduce usage an executor for request processing.
Comment 1 Pavel Stehlik 2015-11-10 05:19:42 EST
QE you can also by check of opened threads.
Comment 2 Oved Ourfali 2015-11-24 02:02:03 EST
Piotr - should this be on modified?
Comment 3 Piotr Kliczewski 2015-11-24 05:50:27 EST
Yes. Changing it to modify.
Comment 4 Sandro Bonazzola 2015-11-24 11:43:55 EST
Please set target release or I can't move the bug to ON_QA automatically.
Comment 5 Red Hat Bugzilla Rules Engine 2015-11-24 13:09:38 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 6 Jiri Belka 2015-12-03 08:38:54 EST
codechange, no visible strange behaviour seen when using this vdsm version
Comment 7 Sandro Bonazzola 2015-12-16 07:24:17 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.